
      block data blkvid
      include 'vid.h'
c
      data fldlab
     +/'NEUTRAL TEMPERATURE (DEG K)             ',
     + 'NEUTRAL ZONAL WIND (M/S)                ',
     + 'NEUTRAL MERIDIONAL WIND (M/S)           ',
     + 'MOLECULAR OXYGEN (CM-3)                 ',
     + 'OX NUMBER DENSITY (CM-3)                ',
     + 'N4S NUMBER DENSITY (CM-3)               ',
     + 'NOZ NUMBER DENSITY (CM-3)               ',
     + 'CO NUMBER DENSITY (CM-3)                ',
     + 'CO2 NUMBER DENSITY (CM-3)               ',
     + 'H2O NUMBER DENSITY (CM-3)               ',
     + 'H2 NUMBER DENSITY (CM-3)                ',
     + 'HOX NUMBER DENSITY (CM-3)               ',
     + 'O+ NUMBER DENSITY (CM-3 )               ',
     + 'CH4 NUMBER DENSITY (CM-3)               ',
     + 'O21D NUMBER DENSITY (CM-3)              ',
     + 'NO2 NUMBER DENSITY (CM-3)               ',
     + 'NO NUMBER DENSITY (CM-3)                ', 
     + 'O3 NUMBER DENSITY (CM-3)                ', 
     + 'O1 NUMBER DENSITY (CM-3)                ', 
     + 'OH NUMBER DENSITY (CM-3)                ', 
     + 'HO2 NUMBER DENSITY (CM-3)               ', 
     + 'H NUMBER DENSITY (CM-3)                 ', 
     + 'N2D NUMBER DENSITY (CM-3)               ', 
     + 'ION TEMPERATURE (DEG K)                 ', 
     + 'ELECTRON TEMPERATURE (DEG K)            ', 
     + 'ELECTRON DENSITY (CM-3)                 ', 
     + 'O2+ NUMBER DENSITY (CM-3)               ', 
     + 'VERTICAL WIND (PLUS UP) (M/S)           ',
     + 'HEIGHT (KM)                             ',
     + 'MOLECULAR NITROGEN (CM-3)               ',
     + 'FOF2 (MHz)                              ',
     + 'TOTAL DENSITY (O+O2+N2)                 '/
c
      data labform /
c         tn         un         vn          o2         ox
     + '(F5.0)  ','(F6.1)  ','(F6.1)  ','(1PE9.2)','(1PE9.2)',
c         n4s        noz        co          co2        h2o
     + '(1PE9.2)','(1PE9.2)','(1PE9.2)','(1PE9.2)','(1PE9.2)',
c         h2         hox        o+          ch4       o21d
     + '(1PE9.2)','(1PE9.2)','(1PE9.2)','(1PE9.2)','(1PE9.2)',
c         no2         no        o3           o1        oh
     + '(1PE9.2)','(1PE9.2)','(1PE9.2)','(1PE9.2)','(1PE9.2)',
c         ho2         h         n2d          ti        te
     + '(1PE9.2)','(1PE9.2)','(1PE9.2)','(F8.2)  ','(F8.2)  ',
c         ne         o2+         w           z         n2
     + '(1PE9.2)','(1PE9.2)','(F8.2)  ','(F8.2)  ','(1PE9.2)',
c         fof2       rho
     + '(F8.2)  ','(1PE9.2)'/

c
c vpkpgce: viewport for kp graph on CE projection frame
c vpkpgsv: viewport for kp graph on SV projection frame
c
      data vpkpgce/.14,.92,.06,.20/
      data vpkpgsv/.13,.83,.06,.17/
      data ln
c       tn   un   vn   o2    o  n4s   noz   co  co2  h2o  h2 hox
     +/  0,   0,   0,   1,   1,   1,    1,   1,   1,   1,  1,  1,
c       o+   ch4 o21d no2  no   o3 npo1   oh   ho2    h  n2d   ti
     +   1,    1,  1,   1,  1,   1,   1,   1,    1,   1,   1,   0,
c       te    ne  o2+    w   z   n2 fof2 rho
     +   0,    1,   1,   0,  0,   1,  0,   1/
      end     
